import type { CloudFormationCustomResourceEvent } from 'aws-lambda';
import type { SecureStringParameterResourceProperties } from '../secure-string-parameter';
export declare type SecureStringCustomResourceEvent = Omit<CloudFormationCustomResourceEvent, 'ResourceProperties'> & {
    ResourceProperties: SecureStringParameterResourceProperties;
};
export interface CustomResourceResponse {
    PhysicalResourceId: string;
}
export declare function handler(event: SecureStringCustomResourceEvent): Promise<CustomResourceResponse>;
